function reflcoef = reflfcn(Ramp,Lamp,vphase,atten,freqs,refplane)
% Computes complex reflection coeff from fit wave amplitudes 
% and propagation parameters. refplane is the location of the 
% reflection plane.  Ramp, Lamp, vphase, atten, and freqs are all
% column vectors with size equal to the number of freqeuncies.
% The result returned is also a column vector.

omega=2*pi*freqs;

kp=(omega./vphase)-1i*atten;    % complex propagation constant

% Compute reflection coefficient.
reflcoef = (Lamp.*exp(+1i*kp*refplane))./(Ramp.*exp(-1i*kp*refplane)) ;